# Class PageReference

#### Hierarchy

- Run
  - PageReference

- Defined in file/paragraph/links/pageref.ts:7

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageReference(bookmarkId, options?): PageReference

- #### Parameters

  - ##### bookmarkId: string

  - ##### options: IPageReferenceOptions = {}

  #### Returns PageReference

  Overrides Run.constructor

  - Defined in file/paragraph/links/pageref.ts:8

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Run.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Run.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc